Package org.firebirdsql.gds

## Interface ServiceParameterBuffer

- All Superinterfaces:
    `ConnectionParameterBuffer`, `java.lang.Iterable<Parameter>`, `ParameterBuffer`
  All Known Implementing Classes:
    `ServiceParameterBufferImp`

      public interface ServiceParameterBuffer
      extends ConnectionParameterBuffer

  Instance of this interface represents a Service Parameter Buffer from the Firebird API documentation and specifies the attributes for the Services API connection.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `COMMAND_LINE` | Deprecated.
    `static int` | `CONNECT_TIMEOUT` | Deprecated.
    `static int` | `CURRENT_VERSION` | Deprecated.
    `static int` | `DBNAME` | Deprecated.
    `static int` | `DUMMY_PACKET_INTERVAL` | Deprecated.
    `static int` | `OPTIONS` | Deprecated.
    `static int` | `PASSWORD` | Deprecated.
    `static int` | `PASSWORD_ENC` | Deprecated.
    `static int` | `SQL_ROLE_NAME` | Deprecated.
    `static int` | `SYS_USER_NAME` | Deprecated.
    `static int` | `SYS_USER_NAME_ENC` | Deprecated.
    `static int` | `USER_NAME` | Deprecated.
    `static int` | `VERBOSE` | Deprecated.
    `static int` | `VERSION` | Deprecated.
    `static int` | `VERSION1` | Deprecated.

  - ### Method Summary

    - ### Methods inherited from interface org.firebirdsql.gds.ConnectionParameterBuffer

      `getDefaultEncoding, getTagMapping`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

    - ### Methods inherited from interface org.firebirdsql.gds.ParameterBuffer

      `addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, getArgumentAsInt, getArgumentAsString, getType, hasArgument, iterator, removeArgument, size, toBytes, toBytesWithType, toXdrable, writeArgumentsTo`

- - ### Field Detail

    - #### VERSION

          @Deprecated
          static final int VERSION

      Deprecated.
      See Also:
        Constant Field Values

    - #### VERSION1

          @Deprecated
          static final int VERSION1

      Deprecated.
      See Also:
        Constant Field Values

    - #### CURRENT_VERSION

          @Deprecated
          static final int CURRENT_VERSION

      Deprecated.
      See Also:
        Constant Field Values

    - #### USER_NAME

          @Deprecated
          static final int USER_NAME

      Deprecated.
      See Also:
        Constant Field Values

    - #### SYS_USER_NAME

          @Deprecated
          static final int SYS_USER_NAME

      Deprecated.
      See Also:
        Constant Field Values

    - #### SYS_USER_NAME_ENC

          @Deprecated
          static final int SYS_USER_NAME_ENC

      Deprecated.
      See Also:
        Constant Field Values

    - #### PASSWORD

          @Deprecated
          static final int PASSWORD

      Deprecated.
      See Also:
        Constant Field Values

    - #### PASSWORD_ENC

          @Deprecated
          static final int PASSWORD_ENC

      Deprecated.
      See Also:
        Constant Field Values

    - #### COMMAND_LINE

          @Deprecated
          static final int COMMAND_LINE

      Deprecated.
      See Also:
        Constant Field Values

    - #### DBNAME

          @Deprecated
          static final int DBNAME

      Deprecated.
      See Also:
        Constant Field Values

    - #### VERBOSE

          @Deprecated
          static final int VERBOSE

      Deprecated.
      See Also:
        Constant Field Values

    - #### OPTIONS

          @Deprecated
          static final int OPTIONS

      Deprecated.
      See Also:
        Constant Field Values

    - #### CONNECT_TIMEOUT

          @Deprecated
          static final int CONNECT_TIMEOUT

      Deprecated.
      See Also:
        Constant Field Values

    - #### DUMMY_PACKET_INTERVAL

          @Deprecated
          static final int DUMMY_PACKET_INTERVAL

      Deprecated.
      See Also:
        Constant Field Values

    - #### SQL_ROLE_NAME

          @Deprecated
          static final int SQL_ROLE_NAME

      Deprecated.
      See Also:
        Constant Field Values